Last modified: 2014-01-31 09:07:54 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 25140 - Rendering of malayalam fonts in SVG
Rendering of malayalam fonts in SVG
Status: REOPENED
Product: Wikimedia
Classification: Unclassified
SVG rendering (Other open bugs)
unspecified
All All
: Low trivial with 1 vote (vote)
: ---
Assigned To: Mark Bergsma
http://ml.wikipedia.org/wiki/%E0%B4%A...
: ops, upstream
Depends on: 31950 29915
Blocks: 56295 8898
  Show dependency treegraph
 
Reported: 2010-09-11 09:54 UTC by vssun
Modified: 2014-01-31 09:07 UTC (History)
16 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Rendering screenshots (59.06 KB, image/png)
2010-09-11 09:54 UTC, vssun
Details
current view (386.12 KB, image/png)
2012-03-23 18:58 UTC, Mark A. Hershberger
Details

Description vssun 2010-09-11 09:54:47 UTC
Created attachment 7682 [details]
Rendering screenshots

Wikimedia servers render svg files which include malayalam text incorrectly. Screenshot of the server rendered and locally rendered versions of above mentioned svg file is attached.
Comment 1 p858snake 2010-09-12 01:45:46 UTC
The required fonts might need to be added to the image scale-rs.
Comment 2 praveenp 2010-09-12 05:26:27 UTC
Fonts in both screenshots are same (Seems font Rachana). Afraid rendering needs to be fixed. This kind of display error was common in Linux until 2008. Later fixed in Pango.
Comment 3 Derk-Jan Hartman 2010-11-04 04:48:54 UTC
Indeed a bug in the text layouting of pango. Might be fixed with updating both pango and rsvg (see also bug 24000).
Comment 4 Mark A. Hershberger 2011-04-28 22:23:56 UTC
Doing to this bug what I did to bug 24000.  People have been asking for update of these and a few other core utils and the effort seems stalled.
Comment 5 Sam Reed (reedy) 2011-07-06 20:10:21 UTC
Removing "shell" keyword for things that aren't directly doable by shell users etc
Comment 6 Sam Reed (reedy) 2011-07-06 20:31:26 UTC
Adding ops keyword
Comment 7 Sam Reed (reedy) 2011-07-06 20:31:58 UTC
Removing shell keyword if exists
Comment 8 Sam Reed (reedy) 2011-07-06 21:39:23 UTC
Looking at this, upgrading to 10.04 will fix the known version problems

Just spoke to CT about this, and will look into whether we get the current image scalers upgraded, or how to proceed
Comment 9 Mark A. Hershberger 2011-09-21 13:49:46 UTC
lowering priority on this that will take a little longer to get resolved.
Comment 10 Brion Vibber 2011-10-15 17:36:54 UTC
I forced an ?action=purge on http://ml.wikipedia.org/wiki/%E0%B4%AA%E0%B5%8D%E0%B4%B0%E0%B4%AE%E0%B4%BE%E0%B4%A3%E0%B4%82:Status_iucn3.1_LC_ml.svg and refreshed -- it now renders as in the good part of the sample issue, whereas previous rendering was as in the bad part of the sample issue.

Resolving FIXED. :D

(If any bad-rendering images still exist, try an ?action=purge on them.)
Comment 11 praveenp 2011-10-16 14:40:32 UTC
Hi, most of the rendering issues are resolved, readability increased pretty high, thank you. But still some problems remain.

Please check http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml_%28Text%29.svg

I hope this svg which uses path instead of text of above image will help to find correct rendering: http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml.svg

Can you please specify the default font for Malayalam also?
Comment 12 praveenp 2011-10-18 04:01:10 UTC
I think somebody has updated, default font to Rachana from Malayalam. So almost all rendering issues are solved. Rachana from so called "upstream developers" still follows Unicode 5.0 which does not contain atomic chillus, new [[Indian Rupee]] symbol, correct representation of zero etc. So they cause another set of readability issues.
Comment 13 Shiju Alex 2011-10-18 04:28:46 UTC
Please make sure a proper unicode Malayalam font that support atomic chillus are set as the default Malayalam font for the Malayalam wiki projects. 

"Malayalam wiki community" is not at all fine with using Unicode version 5.0 for Wikimedia activities. We have already moved to higher version of unicode. We definitely do not want to go back to earlier version of unicode, unless Unicode consortium decides other wise.
Comment 14 Daniel Zahn 2012-03-21 06:58:35 UTC
could somebody confirm if you still wait for additional font packages to be installed?

and if yes, if any of these Ubuntu distro packages would be what you're after?

language-support-fonts-ml - Additional fonts metapackage for Malayalam
language-support-ml - metapackage for Malayalam language support

ttf-indic-fonts-core - Core collection of free fonts for languages of India
ttf-malayalam-fonts - Free TrueType fonts for the Malayalam language
Comment 15 praveenp 2012-03-21 08:14:34 UTC
Yes, please check links in comment 11.

Recently I heard developers updated their fonts. I don't know their specific package name (also heard package name also changed from ttf-malayam-fonts to something like smc-fonts). I'm not sure about its existance in 10.04 repository. Probably Santhosh will be able to help.
Comment 16 Mark A. Hershberger 2012-03-21 16:30:25 UTC
(In reply to comment #15)
> Yes, please check links in comment 11.

Look good to me
Comment 17 Santhosh Thottingal 2012-03-21 17:24:11 UTC
Ubuntu is yet to update the package to latest version of the fonts.
Here is the bug I filed https://bugs.launchpad.net/ubuntu/+source/ttf-indic-fonts/+bug/958345

The png image at http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml_%28Text%29.svg obviously uses old font and has rendering issues.

The svg - http://upload.wikimedia.org/wikipedia/commons/d/d6/Licensing_tutorial_ml_%28Text%29.svg - uses text and not path, so if your local system has latest version of Rachana font, you will see it rendered using that.
Comment 18 Mark A. Hershberger 2012-03-23 15:35:28 UTC
*** Bug 31950 has been marked as a duplicate of this bug. ***
Comment 19 Mark A. Hershberger 2012-03-23 15:56:50 UTC
(In reply to comment #17)
> Ubuntu is yet to update the package to latest version of the fonts.
> Here is the bug I filed
> https://bugs.launchpad.net/ubuntu/+source/ttf-indic-fonts/+bug/958345

Thanks!

> The svg -
> http://upload.wikimedia.org/wikipedia/commons/d/d6/Licensing_tutorial_ml_%28Text%29.svg
> - uses text and not path, so if your local system has latest version of Rachana
> font, you will see it rendered using that.

I've installed fonts-indic from debian but the wrapping is still messed up.  Should I expect that?  Am I doing something wrong?
Comment 20 Santhosh Thottingal 2012-03-23 16:16:25 UTC
(In reply to comment #19)
> I've installed fonts-indic from debian but the wrapping is still messed up. 
> Should I expect that?  Am I doing something wrong?

If you installed fonts-indic, we expect error free rendering without any missing glyphs. I can check if you can share a screenshot.
Comment 21 Mark A. Hershberger 2012-03-23 18:58:07 UTC
Created attachment 10314 [details]
current view

> If you installed fonts-indic, we expect error free rendering without any
> missing glyphs. I can check if you can share a screenshot.

Here you go.
Comment 22 Santhosh Thottingal 2012-03-24 03:58:22 UTC
(In reply to comment #21)
> Created attachment 10314 [details]
> current view
> 
> > If you installed fonts-indic, we expect error free rendering without any
> > missing glyphs. I can check if you can share a screenshot.
> 
> Here you go.

The fonts are latest ones and there is no problem with rendering . The top title is not wrapped well into the space there. But I think that is a svg design issue(either title should be small font size or llinebreaks required)  and not at all related to fonts.
Comment 23 Mark A. Hershberger 2012-05-28 17:56:32 UTC
Lowering priority on high priority bugs that have a low severity
Comment 24 praveenp 2012-09-05 04:31:32 UTC
https://commons.wikimedia.org/wiki/Image:IBM_PC_Memory_areas-ml.svg this image uses Atomic chillu characters and displays it, but looks bit different from other characters. I feel that chillu characters are taken from some other fonts. Font specified in the above image is Raghu.

But surprisingly the image http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml_%28Text%29.svg gives no chillu character yet! Specified font in this image is Rachana.

First image gives an impression fonts are partially updated. I don't know whether ubuntu repo is updated in such a way.
Comment 25 Faidon Liambotis 2012-10-27 10:48:26 UTC
We've upgraded image scalers to precise last week, which includes newer versions of pretty much everything (fonts, librsvg etc.). Could you re-check and see if the bug still appears?
Comment 26 praveenp 2012-10-27 16:30:09 UTC
As you can observe in the second link of above comment (Comment 24), bug is still open. Please see Comment 11 also.
Comment 27 Andre Klapper 2012-10-30 14:35:10 UTC
So problematic http://commons.wikimedia.org/wiki/File:Licensing_tutorial_ml_%28Text%29.svg uses Rachana font, still an issue after recent server upgrade to librsvg 2.36, pango 1.30.

Raghu font seems to work according to comment 24. 
Wondering about other fonts, such as Anjali.

Note to myself: For Chillu characters, see http://unicode.org/versions/Unicode5.1.0/#Malayalam_Chillu_Characters
Comment 28 jeremyb 2013-02-15 00:27:01 UTC
So what's happening here? is Mark an accurate assignee?
Comment 29 Siddhartha Ghai 2014-01-31 09:06:12 UTC
The font problem also affects devanagari. The problem is similar to Malayalam. The viram character ् (U+094D) should result in two characters joining but the text shows them separately.

For example, see the template [1]. The text

इस्लाम शाह सूरी (1545 - 1554)

near the bottom left (as an example) is rendered incorrectly. The labels contain the word

साम्राज्य

which is also rendered incorrectly.

Please let me know if a screenshot/another bug is needed. Thanks.

[1]: https://hi.wikipedia.org/s/734m
Comment 30 Siddhartha Ghai 2014-01-31 09:07:23 UTC
(In reply to comment #29)
Please disregard that. Wrong bug. Comment meant for Bug 21497.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links